Quota API
Routers
Section titled “Routers”usage_router→ prefix/api/resource/Usage(tags: Usage)method_router→ prefix/api/method
Hand-maintained notes against modules/quota/router.go. Route inventory (generated): routes.md. Response models (generated): response-models/quota.md.
Router method_router
Section titled “Router method_router”| Method | Path | Permission |
|---|---|---|
GET | /api/method/shc.quota.limits | — |
POST | /api/method/shc.quota.scan_disk | — |
GET | /api/method/shc.quota.status | — |
GET | /api/method/shc.quota.usage | — |
GET /api/method/shc.quota.limits
Section titled “GET /api/method/shc.quota.limits”- source:
modules/quota/router.go
POST /api/method/shc.quota.scan_disk
Section titled “POST /api/method/shc.quota.scan_disk”- source:
modules/quota/router.go
GET /api/method/shc.quota.status
Section titled “GET /api/method/shc.quota.status”- source:
modules/quota/router.go
GET /api/method/shc.quota.usage
Section titled “GET /api/method/shc.quota.usage”- source:
modules/quota/router.go
Router usage_router
Section titled “Router usage_router”| Method | Path | Permission |
|---|---|---|
GET | /api/resource/Usage | — |
GET | /api/resource/Usage/{usage_id} | — |
GET /api/resource/Usage
Section titled “GET /api/resource/Usage”- source:
modules/quota/router.go
GET /api/resource/Usage/{usage_id}
Section titled “GET /api/resource/Usage/{usage_id}”- source:
modules/quota/router.go
shc@docs:~$